## adolc 2.4.1

=== ADOL-C/examples/additional_examples/ipopt/LuksanVlcek1/Makefile ===
# ----------------------------------------------------------------------------
# ADOL-C -- Automatic Differentiation by Overloading in C++
# File:     Makefile
# Revision: $$
# Contents: Makefile for class myADOLC_NPL to interface ADOL-C with Ipopt
# 
# Copyright (c) Andrea Walther
#   
# This file is part of ADOL-C. This software is provided as open source.
# Any use, reproduction, or distribution of the software constitutes 
# recipient's acceptance of the terms of the accompanying license file.
# 
# This code is based on the corresponding makefile contained in the
# Ipopt package with the author Andreas Waechter   
#---------------------------------------------------------------------------

##########################################################################
#    You can modify this example makefile to fit for your own program.   #
#    Usually, you only need to change the five CHANGE entries below.     #
##########################################################################

# CHANGEME: This should be the name of your executable
EXE = cpp_example

# CHANGEME: Here is the name of all object files corresponding to the source
#           code that you wrote in order to define the problem statement
OBJS =  cpp_example.o \
	ADOL-C_NLP.o

# Definitions for ADOL-C
# CHANGE THIS TO YOUR ADOL-C BASE DIRECTORY
ADPATH = $(HOME)/AD/ADOL-C/adolc_base_coin/include/adolc
ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_coin/lib

# CHANGEME: Additional libraries
ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc  $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a

# CHANGEME: Additional flags for compilation (e.g., include flags)
ADDINCFLAGS = -I$(ADPATH)  

##########################################################################
#  Usually, you don't have to change anything below.  Note that if you   #
#  change certain compiler options, you might have to recompile Ipopt.   #
##########################################################################



HERE YOU SHOULD USE THE SETTING OF YOUR IPOPT INSTALLATION 

THIS SHOULD WORK WITH COPY AND PASTE

=== ADOL-C/examples/additional_examples/ipopt/LuksanVlcek1_sparse/Makefile ===
# ----------------------------------------------------------------------------
# ADOL-C -- Automatic Differentiation by Overloading in C++
# File:     Makefile
# Revision: $$
# Contents: Makefile for class myADOLC_NPL_sparse to interface ADOL-C with Ipopt
# 
# Copyright (c) Andrea Walther
#   
# This file is part of ADOL-C. This software is provided as open source.
# Any use, reproduction, or distribution of the software constitutes 
# recipient's acceptance of the terms of the accompanying license file.
# 
# This code is based on the corresponding makefile contained in the
# Ipopt package with the author Andreas Waechter   
#---------------------------------------------------------------------------

##########################################################################
#    You can modify this example makefile to fit for your own program.   #
#    Usually, you only need to change the five CHANGE entries below.     #
##########################################################################

# CHANGEME: This should be the name of your executable
EXE = cpp_example

# CHANGEME: Here is the name of all object files corresponding to the source
#           code that you wrote in order to define the problem statement
OBJS =  cpp_example.o \
	ADOL-C_sparseNLP.o

# Definitions for ADOL-C
# CHANGE THIS TO YOUR ADOL-C BASE DIRECTORY
ADPATH = $(HOME)/AD/ADOL-C/adolc_base_coin/include/adolc
ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_coin/lib

# CHANGEME: Additional libraries
ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a

# CHANGEME: Additional flags for compilation (e.g., include flags)
ADDINCFLAGS = -I$(ADPATH)  

##########################################################################
#  Usually, you don't have to change anything below.  Note that if you   #
#  change certain compiler options, you might have to recompile Ipopt.   #
##########################################################################


HERE YOU SHOULD USE THE SETTING OF YOUR IPOPT INSTALLATION 

THIS SHOULD WORK WITH COPY AND PASTE

=== ADOL-C/examples/additional_examples/ipopt/MittelmannDistCntrlNeumA/Makefile ===
# ----------------------------------------------------------------------------
# ADOL-C -- Automatic Differentiation by Overloading in C++
# File:     Makefile
# Revision: $$
# Contents: Makefile for class myADOLC_NPL to interface ADOL-C with Ipopt
# 
# Copyright (c) Andrea Walther
#   
# This file is part of ADOL-C. This software is provided as open source.
# Any use, reproduction, or distribution of the software constitutes 
# recipient's acceptance of the terms of the accompanying license file.
# 
# This code is based on the corresponding makefile contained in the
# Ipopt package with the author Andreas Waechter   
#---------------------------------------------------------------------------

##########################################################################
#    You can modify this example makefile to fit for your own program.   #
#    Usually, you only need to change the five CHANGE entries below.     #
##########################################################################

# CHANGEME: This should be the name of your executable
EXE = cpp_example

# CHANGEME: Here is the name of all object files corresponding to the source
#           code that you wrote in order to define the problem statement
OBJS =  cpp_example.o \
	ADOL-C_NLP.o

# Definitions for ADOL-C
# CHANGE THIS TO YOUR ADOL-C BASE DIRECTORY
ADPATH = $(HOME)/AD/ADOL-C/adolc_base_210/include/adolc
ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_210/lib

# CHANGEME: Additional libraries
ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc  $(HOME)/AD/ADOL-C/adolc_base_210/lib/libColPack.a

# CHANGEME: Additional flags for compilation (e.g., include flags)
ADDINCFLAGS = -I$(ADPATH)  

##########################################################################
#  Usually, you don't have to change anything below.  Note that if you   #
#  change certain compiler options, you might have to recompile Ipopt.   #
##########################################################################



HERE YOU SHOULD USE THE SETTING OF YOUR IPOPT INSTALLATION 

THIS SHOULD WORK WITH COPY AND PASTE

=== ADOL-C/examples/additional_examples/ipopt/MittelmannDistCntrlNeumA_sparse/Makefile ===
# ----------------------------------------------------------------------------
# ADOL-C -- Automatic Differentiation by Overloading in C++
# File:     Makefile
# Revision: $$
# Contents: Makefile for class myADOLC_NPL_sparse to interface ADOL-C with Ipopt
# 
# Copyright (c) Andrea Walther
#   
# This file is part of ADOL-C. This software is provided as open source.
# Any use, reproduction, or distribution of the software constitutes 
# recipient's acceptance of the terms of the accompanying license file.
# 
# This code is based on the corresponding makefile contained in the
# Ipopt package with the author Andreas Waechter   
#---------------------------------------------------------------------------

##########################################################################
#    You can modify this example makefile to fit for your own program.   #
#    Usually, you only need to change the five CHANGE entries below.     #
##########################################################################

# CHANGEME: This should be the name of your executable
EXE = cpp_example

# CHANGEME: Here is the name of all object files corresponding to the source
#           code that you wrote in order to define the problem statement
OBJS =  cpp_example.o \
	ADOL-C_sparseNLP.o

# Definitions for ADOL-C
# CHANGE THIS TO YOUR ADOL-C BASE DIRECTORY
ADPATH = $(HOME)/AD/ADOL-C/adolc_base_coin/include/adolc
ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_coin/lib

# CHANGEME: Additional libraries
ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a

# CHANGEME: Additional flags for compilation (e.g., include flags)
ADDINCFLAGS = -I$(ADPATH)  

##########################################################################
#  Usually, you don't have to change anything below.  Note that if you   #
#  change certain compiler options, you might have to recompile Ipopt.   #
##########################################################################



HERE YOU SHOULD USE THE SETTING OF YOUR IPOPT INSTALLATION 

THIS SHOULD WORK WITH COPY AND PASTE

## adolc 2.1.5

=== debian/changelog ===
adolc (2.1.5-2) unstable; urgency=low

  * move upstream SVN repo info from debian/control into debian/copyright
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Apr 2010 13:03:17 +0100

adolc (2.1.5-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Mar 2010 07:43:52 +0000

adolc (2.1.3-1) unstable; urgency=low

  * New Upstream Version
    - renames manual from adolc-20 to adolc-manual

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Feb 2010 14:28:13 +0000

adolc (2.1.2-3) unstable; urgency=low

  * cp recent autoconf/config.{sub,guess} (closes: #568682) autoupdate;
    autoconf; aclocal; automake; autoconf; echo fun and productive

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 06 Feb 2010 21:59:36 +0000

adolc (2.1.2-2) unstable; urgency=low

  * Rename package libadolc1 to libadolc2
    - avoid conflicts: libadolc1 in old libadolc0
    - put actual shared libraries in the shared library package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Feb 2010 13:08:28 +0100

adolc (2.1.2-1) unstable; urgency=low

  * New Upstream Version
  * Repackage from scratch (closes: #496490, #553565, #561056)
  * Increment soname (closes: #452242, #512516)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2010 11:40:52 +0100

adolc (1.10.2-4) unstable; urgency=low

  * dh7-ianize
  * dpkg-gensymbols -c3 instead of -c4 (closes: #496490)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Jan 2009 21:22:21 +0100

adolc (1.10.2-3) unstable; urgency=low

  * include symbols file; invoke dpkg-gensymbols in debian/rules
  * add man pages for binaries in libadolc-examples

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Aug 2008 20:09:16 +0100

adolc (1.10.2-2) unstable; urgency=low

  * Add homepage field to debian/control
  * stop ignoring make clean errors in debian/rules
  * rev deb std to 3.8.0
  * rev deb helper to 7
  * embellish debian/copyright file
  * remove COPYING file from binary packages; info in debian/copyright
  * source section in debian/control
  * move adolc-example binaries to /usr/bin/ with names adolc-*
  * debian/rules strip issues
  * include .la file

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 09 Aug 2008 21:43:38 +0100

adolc (1.10.2-1) unstable; urgency=low

  * new upstream release with a tiny bug fix and major
    semantics-preserving white space changes throughout

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Sep 2006 13:18:24 +0100

adolc (1.10.1-3) unstable; urgency=low

  * configure --with-docexa --with-addexa, allowing removal of
    examples{,/additional_examples}/Makefile.debian
  * do not include upstream installation instructions INSTALL
  * use approved mechanisms to install ChangeLog as upstream changelog
  * update debian/watch

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Sep 2006 14:04:15 +0100

adolc (1.10.1-2) unstable; urgency=low

  * POSIX awk/sh (closes: #381483)
  * work around 64-bit printf("%d",sizeof(int)) warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Sun,  6 Aug 2006 01:46:49 +0100

adolc (1.10.1-1) unstable; urgency=low

  * new upstream release
  * now uses autoconf, rewrite debian/rules etc as appropriate
  * policy revs
  * too small to justify -doc, merge into -dev package (closes: #218542)
  * rename lib package to libadolc0 to match upstream .so name
  * rename examples package to libadolc-examples to avoid future thrash

 -- Barak A. Pearlmutter <bap@debian.org>  Tue,  1 Aug 2006 19:00:38 +0100

adolc (1.8.7-11) unstable; urgency=low

  * patch for GCC 3.4 from Andreas Jochens <aj@andaco.de> (closes: #262513)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 31 Jul 2004 11:40:29 -0600

adolc (1.8.7-10) unstable; urgency=low

  * rev to policy 3.6.1
  * recompile using GCC 3.3.2, and associated minor source tweaks
  * remove some warning suppression & backwards-compatibility flags

 -- Barak A. Pearlmutter <bap@debian.org>  Wed,  8 Oct 2003 02:46:02 +0100

adolc (1.8.7-9) unstable; urgency=low

  * missing build dependency on gs-common for ps2pdf (closes: #198834)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Jun 2003 13:38:18 -0600

adolc (1.8.7-8) unstable; urgency=low

  * update for GCC 3.x transition (recompile and squelch warnings)
  * update for policy 3.5.10
  * update for debhelper 4

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue,  4 Sep 2001 03:05:25 -0600

adolc (1.8.7-7) unstable; urgency=low

  * use GCC for linking shared library (closes: #108088)
  * add exit code to main routine of helf-diff-exam

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed,  8 Aug 2001 16:44:25 -0600

adolc (1.8.7-6) unstable; urgency=low

  * address -Wall warnings in the include files
  * address most -Wall warnings in the actual libraries
  * get rid of library major number in name of -dev package

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun, 15 Jul 2001 03:20:09 -0600

adolc (1.8.7-5) unstable; urgency=low

  * add build dependency on tetex-extra (closes: #104763)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sat, 14 Jul 2001 04:19:24 -0600

adolc (1.8.7-4) unstable; urgency=low

  * undocumented man page stubs
  * copyright info: released under the GNU Lesser General Public License
  * increase BUFSIZE & TBUFSIZE from 65536 to 524288.  (should be dynamic)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 12 Jul 2001 20:06:17 -0600

adolc (1.8.7-3) unstable; urgency=low

  * Add ldconfig to runtime library postinst

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 20 Nov 2000 02:05:47 -0700

adolc (1.8.7-2) unstable; urgency=low

  * Fix Makefile to install .h files into -dev package

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 16 Nov 2000 15:46:27 -0700

adolc (1.8.7-1) unstable; urgency=low

  * Initial Release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue, 20 Jun 2000 00:41:45 -0600

=== debian/control ===
Source: adolc
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.coin-or.org/projects/ADOL-C.xml
Vcs-Git: git://git.debian.org/git/collab-maint/adolc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/adolc.git

Package: libadolc-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libadolc2 (= ${binary:Version})
Description: ADOLC development libs and headers
 The ADOLC system automatically calculates exact derivatives of a
 C/C++ function.  It uses C++ overloading to record arithmetic
 operations, which it plays back later in various ways to calculate
 the requested values.
 .
 This package contains the development library, header files,
 and user's manual.

Package: libadolc2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ADOLC automatic differentiation system, runtime libs
 The ADOLC system automatically calculates exact derivatives of a
 C/C++ function.  It uses C++ overloading to record arithmetic
 operations, which it plays back later in various ways to calculate
 the requested values.
 .
 This package contains the runtime library.

## adolc 2.1.8

=== debian/changelog ===
adolc (2.1.8-2) unstable; urgency=low

  * revert: upstream build mods allow rm autoconf/mkinstalldirs
  * add some quotes (configure.ac), autoreconf
  * versioned debhelper build dependency for overrides in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Jul 2010 10:44:52 +0100

adolc (2.1.8-1) unstable; urgency=low

  * use usr/lib never usr/lib64, via debian/rules (closes: #590015)
  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Jul 2010 10:10:48 +0100

adolc (2.1.7-1) unstable; urgency=low

  * New Upstream Version
  * address build failure by creating autoconf/mkinstalldirs
  * bump debian standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 Jul 2010 10:09:41 +0100

## adolc 2.1.8+nomsvcrt

=== debian/changelog ===
adolc (2.1.8+nomsvcrt-1) stable; urgency=low

  [ Jonathan Nieder ]
  * remove Visual C++ runtime from windows/ directory (closes: #641489)
  * document in debian/copyright how and why the source was repacked

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Nov 2011 14:02:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: adolc
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev
+Standards-Version: 3.9.0
 Section: libs
 Homepage: http://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://git.debian.org/git/collab-maint/adolc.git

=== debian/rules ===
#!/usr/bin/make -f

build clean install binary-arch binary-indep binary:
	dh $@

.PHONY: build clean install binary-arch binary-indep binary

# Upstream now installs in .../lib64/ not .../lib/ on 64-bit
# architectures.  Need to override this.

# This *should* change it, but does not.
override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${exec_prefix}/lib

# This puts the right libdir= line in libadolc*.la
override_dh_auto_build:
	dh_auto_build -- libdir=\$${exec_prefix}/lib

# This installs the files in the right place
override_dh_auto_install:
	dh_auto_install -- libdir=\$${exec_prefix}/lib

## adolc 2.1.9

=== debian/changelog ===
adolc (2.1.9-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Sep 2010 21:14:50 +0100

adolc (2.1.8-3) UNRELEASED; urgency=low

  * bump standards version (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Aug 2010 14:40:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://git.debian.org/git/collab-maint/adolc.git

## adolc 2.2.1

=== debian/changelog ===
adolc (2.2.1-2) unstable; urgency=low

  * correct upstream spelling errors
  * silence minor lintian section issue
  * put fixes (currently just spelling corrections) in quilt patch
  * bump debian standards version
  * revert autotools boilerplate: updated automatically at build time

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Jul 2011 16:14:17 +0200

adolc (2.2.1-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 13 Jun 2011 19:12:46 +0100

adolc (2.2.0-3) unstable; urgency=low

  * enable sparse drivers (addresses Ubuntu issue 694447)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 May 2011 19:17:04 +0100

adolc (2.2.0-2) unstable; urgency=low

  * do not include .la files per new policy (closes: #621139)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Apr 2011 14:27:12 +0100

adolc (2.2.0-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Apr 2011 14:25:10 +0100

adolc (2.1.12-2) unstable; urgency=low

  * dh --parallel (debian/rules)
  * priority optional, per override (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 31 Jan 2011 18:36:53 +0000

adolc (2.1.12-1) experimental; urgency=low

  * New Upstream Version
  * bump to debhelper 8

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Nov 2010 17:05:21 +0000

adolc (2.1.10-1) experimental; urgency=low

  * New Upstream Version
  * Enable dh --with autotools_dev (debian/rules, debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 24 Sep 2010 13:47:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: adolc
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1~)
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://git.debian.org/git/collab-maint/adolc.git
@@ -22,7 +22,6 @@
  and user's manual.
 
 Package: libadolc2
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ADOLC automatic differentiation system, runtime libs

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 build clean install binary-arch binary-indep binary:
-	dh $@
+	dh $@ --with autotools_dev --parallel
 
 .PHONY: build clean install binary-arch binary-indep binary
 
@@ -10,7 +10,7 @@
 
 # This *should* change it, but does not.
 override_dh_auto_configure:
-	dh_auto_configure -- --libdir=\$${exec_prefix}/lib
+	dh_auto_configure -- --libdir=\$${exec_prefix}/lib --enable-sparse
 
 # This puts the right libdir= line in libadolc*.la
 override_dh_auto_build:

## adolc 2.3.0

=== debian/changelog ===
adolc (2.3.0-1) unstable; urgency=low

  * silence lintian with trivial debian/rules tweak
  * refresh quilt patches
  * accept priority override
  * dh --with autoreconf
  * bump to dh9
  * bump debian standards version (no changes)
  * new upstream version
  * remove spelling fix quilt patch, fixed upstream
  * replace libdir fiddling in debian/rules with quilt patch to configure.ac
  * update lib paths in debian/*.install for multiarch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Mar 2012 11:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: adolc
-Priority: extra
+Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://git.debian.org/git/collab-maint/adolc.git
@@ -23,6 +23,7 @@
 
 Package: libadolc2
 Architecture: any
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ADOLC automatic differentiation system, runtime libs
  The ADOLC system automatically calculates exact derivatives of a

=== debian/rules ===
#!/usr/bin/make -f

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --with autoreconf --parallel

.PHONY: $(dh_targets)

override_dh_auto_configure:
	dh_auto_configure -- --enable-sparse

## adolc 2.4.0

=== debian/changelog ===
adolc (2.4.0-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 31 Jan 2013 23:33:40 +0000

adolc (2.3.0-2) unstable; urgency=low

  * bump standards version, no changes
  * switch executable debian/*.install to dh-exec
  * update debian/copyright from changes to file LICENSE

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Nov 2012 08:45:41 +0000

## adolc 2.4.1

=== debian/changelog ===
adolc (2.4.1-1) unstable; urgency=low

  * New Upstream Version (closes: #700937) 

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Mar 2013 10:21:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: adolc
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-exec
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://git.debian.org/git/collab-maint/adolc.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-sparse

=== debian/watch ===
version=3
http://www.coin-or.org/download/source/ADOL-C/ ADOL-C-(.*).tgz

## adolc 2.5.1

=== debian/changelog ===
adolc (2.5.1-1) unstable; urgency=medium

  * New Upstream Version
  * ./configure option --enable-atrig-erf
  * update quilt patches, fprintf format issues fixed upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 19 Jul 2014 18:27:24 +0200

adolc (2.5.0-3) unstable; urgency=medium

  * Point doc-base at now-uncompressed PDF documentation.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2014 10:14:15 +0000

adolc (2.5.0-2) unstable; urgency=medium

  * Install .pc file for pkg-config adolc
  * Build with ColPack; build dependency suffices
  * Quilt patches for autotools and compiler warnings
  * Move package into debian-science

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Mar 2014 12:13:19 +0000

adolc (2.5.0-1) unstable; urgency=medium

  * Don't compress incompressible PDF documentation.
  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 04 Mar 2014 09:23:10 +0000

adolc (2.4.1-2) unstable; urgency=medium

  * multiarch support

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Feb 2014 10:11:02 +0000

## adolc 2.5.2

=== debian/changelog ===
adolc (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream fix: increment the correct pointer in log_op reverse
    mode. Closes: #771222

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 28 Nov 2014 22:59:16 +0100

adolc (2.5.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Sep 2014 13:30:02 +0100

=== debian/control ===
Source: adolc
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-exec, libcolpack-dev
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.coin-or.org/projects/ADOL-C.xml
Vcs-Git: git://anonscm.debian.org/debian-science/packages/adolc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/adolc.git

Package: libadolc-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libadolc2 (= ${binary:Version}), libcolpack-dev
Description: ADOLC development libs and headers
 The ADOLC system automatically calculates exact derivatives of a
 C/C++ function.  It uses C++ overloading to record arithmetic
 operations, which it plays back later in various ways to calculate
 the requested values.
 .
 This package contains the development library, header files,
 and user's manual.

Package: libadolc2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ADOLC automatic differentiation system, runtime libs
 The ADOLC system automatically calculates exact derivatives of a
 C/C++ function.  It uses C++ overloading to record arithmetic
 operations, which it plays back later in various ways to calculate
 the requested values.
 .
 This package contains the runtime library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-sparse --enable-atrig-erf

override_dh_compress:
	dh_compress --exclude=.pdf

## adolc 2.6.0

=== debian/changelog ===
adolc (2.6.0-1) unstable; urgency=medium

  * New Upstream Version
  * forward port quilt patches
  * build dependency on libboost-system-dev, now required
  * manually enable static library generation, now default disabled upstream
  * bump standards version, no changes needed
  * spelling correction patch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 17:21:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-exec, libcolpack-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-exec,
+	libcolpack-dev, libboost-system-dev
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/adolc.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-sparse --enable-atrig-erf --enable-static

override_dh_compress:
	dh_compress --exclude=.pdf

## adolc 2.6.1

=== debian/changelog ===
adolc (2.6.1-1) unstable; urgency=medium

  * New Upstream Version
  * Harden
  * Bump standards version
  * Dep-5 debian/copyright
  * Patch another misspelled word
  * Use more secure URLs where appropriate

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 May 2016 14:25:50 +0100

## adolc 2.6.2

=== debian/changelog ===
adolc (2.6.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 15 Sep 2016 11:40:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-exec,
+Build-Depends: debhelper (>= 9), dh-autoreconf,
 	libcolpack-dev, libboost-system-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
-Homepage: http://www.coin-or.org/projects/ADOL-C.xml
+Homepage: https://www.coin-or.org/projects/ADOL-C.xml
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/adolc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/adolc.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/adolc.git
 
 Package: libadolc-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf --parallel

## adolc 2.6.3

=== ADOL-C/examples/additional_examples/ipopt/LuksanVlcek1/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_coin/lib
 
 # CHANGEME: Additional libraries
-ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc  $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a
+ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -l${adolclib} $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a
 
 # CHANGEME: Additional flags for compilation (e.g., include flags)
 ADDINCFLAGS = -I$(ADPATH)

=== debian/changelog ===
adolc (2.6.3-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:27 +0100

adolc (2.6.3-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Barak A. Pearlmutter ]
  * Bump to debhelper 12
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Aug 2019 13:28:00 +0100

adolc (2.6.3-2) unstable; urgency=medium

  * Bump to debhelper 11
  * Bump policy
  * Swizzle packaging repo to salsa
  * Update upstream homepage in debian/control
  * Use ax_boost_* from autoconf-archive instead of autoconf/* (closes: #896479)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Aug 2018 16:11:52 +0200

adolc (2.6.3-1) unstable; urgency=medium

  * New Upstream Version
  * Bump to debhelper 10

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Jan 2017 09:05:21 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
+	autoconf-archive,
 	libcolpack-dev, libboost-system-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Section: libs
-Homepage: https://www.coin-or.org/projects/ADOL-C.xml
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/adolc.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/adolc.git
+Homepage: https://projects.coin-or.org/ADOL-C
+Vcs-Git: https://salsa.debian.org/science-team/adolc.git
+Vcs-Browser: https://salsa.debian.org/science-team/adolc
 
 Package: libadolc-dev
 Section: libdevel

=== debian/watch ===
version=3
http://www.coin-or.org/download/source/ADOL-C/ ADOL-C-(.*).tgz

# Upstream development repo:
#  https://gitlab.com/adol-c/adol-c.git

## adolc 2.7.2

=== ADOL-C/boost-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(boost-test-adolc CXX)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

## BOOST
set(3RDPARTY_BOOST_DIR "" CACHE PATH "The directory where BOOST library is installed")

if(3RDPARTY_BOOST_DIR)
  set(BOOST_ROOT ${3RDPARTY_BOOST_DIR})
#  set(BOOST_INCLUDEDIR ${3RDPARTY_BOOST_DIR}/include)
#  set(BOOST_LIBRARYDIR ${3RDPARTY_BOOST_DIR}/lib)
endif()

set(BOOST_MIN_VERSION "1.59.0")
set(Boost_NO_BOOST_CMAKE ON)

find_package(Boost ${BOOST_MIN_VERSION} REQUIRED)

if(NOT Boost_FOUND)
  message(FATAL_ERROR "Fatal error: Boost (version >= 1.69.0) required.")
else()
  message(STATUS "Setting up BOOST")
  message(STATUS "Boost include: " ${Boost_INCLUDE_DIRS})
  message(STATUS "Boost library: " ${Boost_LIBRARY_DIRS})
endif()

## ADOL-C
set (ADOLC_BASE "" CACHE PATH "The directory where ADOL-C is installed")
if(ADOLC_BASE)
  message(STATUS "Setting up ADOL-C")

  unset(ADOLC_INCLUDE_DIR CACHE)
  find_path(ADOLC_INCLUDE_DIR NAMES adolc/adolc.h PATHS ${ADOLC_BASE}/include NO_DEFAULT_PATH)
  if(NOT ADOLC_INCLUDE_DIR)
    message(FATAL_ERROR "Fatal error: ADOL-C include directory not found, check if ADOLC_BASE path is correct")
  endif()
  
  unset(ADOLC_LIBRARY CACHE)
  find_library(ADOLC_LIBRARY NAMES adolc PATHS ${ADOLC_BASE}/lib64 ${ADOLC_BASE}/lib NO_DEFAULT_PATHS)
  if(NOT ADOLC_LIBRARY)
    message(FATAL_ERROR "Fatal error: ADOL-C library not found, check if ADOLC_BASE path is correct")
  endif()
  
  unset(ADOLC_LIBRARY_DIR CACHE)
  get_filename_component(ADOLC_LIBRARY_DIR ${ADOLC_LIBRARY} DIRECTORY CACHE) 
  
  message(STATUS "ADOL-C include: " ${ADOLC_INCLUDE_DIR})
  message(STATUS "ADOL-C library: " ${ADOLC_LIBRARY_DIR})
else()
  message(FATAL_ERROR "ADOLC_BASE directory has to be specified")
endif()

include_directories(${Boost_INCLUDE_DIRS} ${ADOLC_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS} ${ADOLC_LIBRARY_DIR})

set(SOURCE_FILES main.cpp tracelessOperatorScalar.cpp tracelessOperatorVector.cpp tracelessCompositeTests.cpp traceOperatorScalar.cpp traceOperatorVector.cpp traceCompositeTests.cpp traceSecOrderScalar.cpp traceSecOrderVector.cpp)
add_executable(boost-test-adolc ${SOURCE_FILES})

target_link_libraries(boost-test-adolc -ladolc -lboost_system -lboost_unit_test_framework)

=== ADOL-C/examples/additional_examples/ipopt/LuksanVlcek1_sparse/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_coin/lib
 
 # CHANGEME: Additional libraries
-ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a
+ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -l${adolclib} $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a
 
 # CHANGEME: Additional flags for compilation (e.g., include flags)
 ADDINCFLAGS = -I$(ADPATH)

=== ADOL-C/examples/additional_examples/ipopt/MittelmannDistCntrlNeumA/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_210/lib
 
 # CHANGEME: Additional libraries
-ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc  $(HOME)/AD/ADOL-C/adolc_base_210/lib/libColPack.a
+ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -l${adolclib} $(HOME)/AD/ADOL-C/adolc_base_210/lib/libColPack.a
 
 # CHANGEME: Additional flags for compilation (e.g., include flags)
 ADDINCFLAGS = -I$(ADPATH)

=== ADOL-C/examples/additional_examples/ipopt/MittelmannDistCntrlNeumA_sparse/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 ADLIBDIR = $(HOME)/AD/ADOL-C/adolc_base_coin/lib
 
 # CHANGEME: Additional libraries
-ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -ladolc $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a
+ADDLIBS = -Wl,--rpath -Wl,$(ADLIBDIR) -L$(ADLIBDIR) -l${adolclib} $(HOME)/AD/ADOL-C/adolc_base_coin/lib/libColPack.a
 
 # CHANGEME: Additional flags for compilation (e.g., include flags)
 ADDINCFLAGS = -I$(ADPATH)

=== debian/changelog ===
adolc (2.7.2-7) unstable; urgency=medium

  * enable colpack (closes: #1033472)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Jan 2025 10:27:06 +0000

adolc (2.7.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061872

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:11:14 +0000

adolc (2.7.2-6) unstable; urgency=medium

  * upstream URL updates
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Jan 2023 09:58:22 +0000

adolc (2.7.2-5) unstable; urgency=medium

  * Team upload.
  * Remove two more bashisms from configure.ac and .m4 files.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Nov 2021 15:28:25 +0100

adolc (2.7.2-4) unstable; urgency=medium

  * Team upload.
  * Use = with test, not == (bashism).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Nov 2021 13:50:51 +0100

adolc (2.7.2-3) unstable; urgency=medium

  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 06 Mar 2021 11:48:03 +0000

adolc (2.7.2-2) unstable; urgency=medium

  * multiarch fix
  * uscan watch file version=4

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Dec 2020 21:43:51 +0000

adolc (2.7.2-1) unstable; urgency=medium

  * Use secure URI in debian/watch.
  * New Upstream Version
  * Bump policy
  * Forward port quilt patches
  * Bump to debhelper 13
  * Rules-Requires-Root: no
  * Patch tiny upstream typo
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 May 2020 11:37:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: adolc
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 	autoconf-archive,
 	libcolpack-dev, libboost-system-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://projects.coin-or.org/ADOL-C
 Vcs-Git: https://salsa.debian.org/science-team/adolc.git
@@ -14,7 +15,8 @@
 Package: libadolc-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libadolc2 (= ${binary:Version}), libcolpack-dev
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libadolc2t64 (= ${binary:Version}), libcolpack-dev
 Description: ADOLC development libs and headers
  The ADOLC system automatically calculates exact derivatives of a
  C/C++ function.  It uses C++ overloading to record arithmetic
@@ -24,7 +26,10 @@
  This package contains the development library, header files,
  and user's manual.
 
-Package: libadolc2
+Package: libadolc2t64
+Provides: ${t64:Provides}
+Replaces: libadolc2
+Breaks: libadolc2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-colpack=/usr --enable-sparse --enable-atrig-erf --enable-static

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
version=4
https://www.coin-or.org/download/source/ADOL-C/ ADOL-C-@ANY_VERSION@@ARCHIVE_EXT@

# Upstream development repo:
#  https://github.com/coin-or/ADOL-C
